/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\           Settings           /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
#ifndef SETTING_H_
#define SETTING_H_
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include <curses.h>
#include <ctime>
#include "cbmenu.h"
/* Define Date */
#define DATE 75

//-----------------------------------------------------------------------------

class Set
{
public:	
	/* Settings */
	float HORI, VERT;
	/* Char */
	char wname[30];
	char bname[30];
	char ndate[DATE];

	/* Class Player */
	struct player
	{
		/* UCI */
		char uci, uciok;
		/* Engine */
		char isready, readyok, ucinewgame;
		/* Time */
		short int time;
		/* Result */
		char result;

	}eboard, wboard, bboard;

	/* Function */
	Set();
	struct tm* dateBoard(void);
	void colorBoard(char *chess);
	void clockmode();
	void pgnmode();
	void ucimode();
	void windows();
	void settings(char *ipadr, char *chess);
};

//-----------------------------------------------------------------------------

#endif
